Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get a customer group

Get a customer group with its details and discount and/or store group configuration.

GET/api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

customer_group_idstringrequired

Customer Group ID

Query parameters
merchant-users-pageinteger

Merchant users page number (default: 1)

merchant-users-per-pageinteger

Merchant users per page (default: 20, max: 100)

organisations-pageinteger

Organisations page number (default: 1)

organisations-per-pageinteger

Organisations per page (default: 20, max: 100)

Responses
200

Got Customer group successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupDetailrequired
Show properties
app_idstring
created_atstring
discount_percentageinteger | null
discount_percentage_decimalsinteger | null
idstring
merchant_usersgithub_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantUserRef[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.MerchantUserRef
emailstring
idstring
merchant_users_totalinteger
namestring
organisationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationRef[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.OrganisationRef
idstring
namestring
organisations_totalinteger
slugstring
store_group_idstring
typestring
updated_atstring
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. id not uuid)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/customer-groups/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "app_id": "string",
    "created_at": "string",
    "discount_percentage": 0,
    "discount_percentage_decimals": 0,
    "id": "string",
    "merchant_users": [
      {
        "email": "string",
        "id": "string"
      }
    ],
    "merchant_users_total": 0,
    "name": "string",
    "organisations": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "organisations_total": 0,
    "slug": "string",
    "store_group_id": "string",
    "type": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}